/* ========================================
 *
 * Copyright CONSULTRON, 2020
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONSULTRON allows PUBLIC use of the file.
 * CONSULTRON provides NO WARRANTY expressed or implied.
 *
 * ========================================
*/
/*--------------------------------------------------
•	1.0.0 - Initial code.   
**  It also uses the CY8CKIT-059 USB port for UART comm instead of the KitProg.
•	1.1.0 - Fix: UART_PutCRLF().  If '\0' sent, we don't add it before the CR and the LF.
	- Add: New function to prevent output data lockups: USBUART_IsReady().
		It tests for USBUART_CheckActivity() when outputing data to prevent a lockup condition if the USB is unplugged.  
		Note: Data attempted to be sent is thrown away just like it would be on a true UART port.
	- Add:  UART_PutArray() compatible function.
•	1.2.0 - Fixed: Update to UART_USB.c to prevent the USB Tx comm from lockup when the host port is not open or the USB cable is unplugged.
	The appears to be no detectable USB signal or interrupt when the USB is unplugged or if the host port is closed.
•	2.0.0 - Convert: Code rewritten as a configurable component.  
•	2.0.1 - Add: More comments for better readability.
------------------------------------*/
#if !defined(VERSION_H)
// This is a sexy yet slightly confusing macro to turn any literal including numbers into a string literal
#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)
	
#define VERSION_H
#define SW_TITLE	CY_PROJECT_NAME

#define SW_VER_REV_REL	2.0.1
#endif		// VERSION_H
/* [] END OF FILE */
